> For the complete documentation index, see [llms.txt](https://docs.movesdk.com/move-platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.movesdk.com/move-platform/sdk/appendix/android/permission-handling/runtime-permissions.md).

# Runtime Permissions

In Android there are some [permissions](https://developer.android.com/guide/topics/permissions/overview#dangerous_permissions) which require a request during runtime. Keep in mind that those need to be defined in the manifest as well. Before init of the MOVE SDK the proper permissions should have been already requested.&#x20;

### Display over other apps

The overlay permission ([SYSTEM\_ALERT\_WINDOW](https://developer.android.com/reference/android/Manifest.permission#SYSTEM_ALERT_WINDOW)) ,which is required for distraction free driving, needs to be requested in a specific way. The user is lead to the app settings where the permission needs to be enabled.

Starting with Android 11, the user will only be taken to the settings overview screen, and the user needs to select the specific app itself.

```kotlin
val intent = Intent(
    Settings.ACTION_MANAGE_OVERLAY_PERMISSION,
    Uri.parse("package:$packageName"))
startActivityForResult(intent, OVERLAY_REQUEST_CODE)
```

###

![Android App Info - Display over other apps](/files/-McxoadttLu3hzrDV5Yf)

### Background location

Since Android 10 there is an additional background location which should be also requested when asking for location permission. In Android 11 the user must go to the location settings of the app to grant the "**Allow all the time**" permission.

![](/files/-MaKm8RJuFvnXlq_gHv6)

![](/files/-McxncGAwHg9FJ2NF_ct)

### Notification permission

From the [Google developer documentation](https://developer.android.com/develop/ui/views/notifications/notification-permission):&#x20;

"*Android 13 (API level 33) and higher supports a* [*runtime permission*](https://developer.android.com/guide/topics/permissions/overview#runtime) *for sending* [*non-exempt*](https://developer.android.com/develop/ui/views/notifications/notification-permission#exemptions) *(including Foreground Services (FGS)) notifications from an app:* [*`POST_NOTIFICATIONS`*](https://developer.android.com/reference/android/Manifest.permission#POST_NOTIFICATIONS)*. This change helps users focus on the notifications that are most important to them.*"

```xml
<manifest ...>
    <uses-permission android:name="android.permission.POST_NOTIFICATIONS"/>
    <application ...>
        ...
    </application>
</manifest>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.movesdk.com/move-platform/sdk/appendix/android/permission-handling/runtime-permissions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
